package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum DemandReleaseStatus {
	
	UNRELEASE(0, "需求未发布"),
	RELEASED(1, "需求已发布"),
	OTHER(2, "其他");

	private DemandReleaseStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, DemandReleaseStatus> status = new HashMap<Integer, DemandReleaseStatus>();

	static {
		for (DemandReleaseStatus value : DemandReleaseStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static DemandReleaseStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static DemandReleaseStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
